Package com.xebialabs.xlrelease.events

# Class TaskEndRecoveryOperation$

java.lang.Object
scala.runtime.AbstractFunction1<Task,TaskEndRecoveryOperation>
com.xebialabs.xlrelease.events.TaskEndRecoveryOperation$

All Implemented Interfaces:
  `Serializable`, `scala.Function1<Task,TaskEndRecoveryOperation>`

public class TaskEndRecoveryOperation$ extends scala.runtime.AbstractFunction1<Task,TaskEndRecoveryOperation> implements Serializable

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface scala.Function1

  `scala.Function1.UnliftOps<A extends Object,B extends Object>, scala.Function1.UnliftOps$`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final TaskEndRecoveryOperation$`
  `MODULE$`
  Static reference to the singleton instance of this Scala object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TaskEndRecoveryOperation$()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TaskEndRecoveryOperation`
  `apply(Task task)`
  `final String`
  `toString()`
  `scala.Option<Task>`
  `unapply(TaskEndRecoveryOperation x$0)`

  ### Methods inherited from class scala.runtime.AbstractFunction1

  `andThen, apply$mcDD$sp, apply$mcDF$sp, apply$mcDI$sp, apply$mcDJ$sp, apply$mcFD$sp, apply$mcFF$sp, apply$mcFI$sp, apply$mcFJ$sp, apply$mcID$sp, apply$mcIF$sp, apply$mcII$sp, apply$mcIJ$sp, apply$mcJD$sp, apply$mcJF$sp, apply$mcJI$sp, apply$mcJJ$sp, apply$mcVD$sp, apply$mcVF$sp, apply$mcVI$sp, apply$mcVJ$sp, apply$mcZD$sp, apply$mcZF$sp, apply$mcZI$sp, apply$mcZJ$sp, compose`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### MODULE$

    public static final TaskEndRecoveryOperation$ MODULE$
    Static reference to the singleton instance of this Scala object.

- ## Constructor Details

  - ### TaskEndRecoveryOperation$

    public TaskEndRecoveryOperation$()

- ## Method Details

  - ### toString

    public final String toString()
    Specified by:
      `toString` in interface `scala.Function1<Task,TaskEndRecoveryOperation>`
    Overrides:
      `toString` in class `scala.runtime.AbstractFunction1<Task,TaskEndRecoveryOperation>`

  - ### apply

    public TaskEndRecoveryOperation apply(Task task)
    Specified by:
      `apply` in interface `scala.Function1<Task,TaskEndRecoveryOperation>`

  - ### unapply

    public scala.Option<Task> unapply(TaskEndRecoveryOperation x$0)